{"openapi":"3.0.1","info":{"title":"1.42 1442.cspc-person-s-rest-v1","description":"1.42 Взаимодействие с ОС Карточка ФЛ. Получение информации по ФЛ","termsOfService":"urn:tos","contact":{"name":"Bebris Danila","url":"https://wiki.corp.dev.vtb/pages/viewpage.action?pageId=278494952","email":"bebris@vtb.ru"},"license":{"name":"Apache 2.0","url":"http://www.apache.org/licenses/LICENSE-2.0"},"version":"1.0.0"},"servers":[{"url":"https://if-cspc-person-ingress.test.vtb.ru: К3 Ingress Карточка ФЛ"},{"url":"https://cspc-person-fl-ingress-api-gateway.rs1-genr01-cspc-rr-person.test.vtb.ru: К4 Ingress Карточка ФЛ"},{"url":"https://cspc-person.region.vtb.ru: Prod Балансировщик Карточка ФЛ"}],"security":[{"EpaAuth":[]}],"tags":[{"name":"mdm-fl-controller","description":"Mdm Fl Controller"}],"paths":{"/create":{"post":{"tags":["mdm-fl-controller"],"summary":"createPersonFL","description":"Создание Карточки ФЛ","operationId":"createPersonFlUsingPost","requestBody":{"description":"Создание Карточки ФЛ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreatePersonInputModel"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreatePersonOutputModel"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FaultResponse"},"example":{"messageResponse":{"faultMessage":{"status":403,"text":"string","description":"string"}}}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FaultResponse"},"example":{"messageResponse":{"faultMessage":{"status":404,"text":"string","description":"string"}}}}}},"503":{"description":"Service Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FaultResponse"},"example":{"messageResponse":{"faultMessage":{"status":503,"text":"string","description":"string"}}}}}}},"deprecated":false}},"/get":{"post":{"tags":["mdm-fl-controller"],"summary":"getPersonFL","description":"Получение Карточки ФЛ","operationId":"getPersonFlUsingPost","requestBody":{"description":"Получение Карточки ФЛ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetPersonInputModel"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetPersonOutputModel"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FaultResponse"},"example":{"messageResponse":{"faultMessage":{"status":403,"text":"string","description":"string"}}}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FaultResponse"},"example":{"messageResponse":{"faultMessage":{"status":404,"text":"string","description":"string"}}}}}},"503":{"description":"Service Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FaultResponse"},"example":{"messageResponse":{"faultMessage":{"status":503,"text":"string","description":"string"}}}}}}},"deprecated":false}},"/match":{"post":{"tags":["mdm-fl-controller"],"summary":"matchPersonFL","description":"Поиск Карточки ФЛ","operationId":"matchPersonFlUsingPost","requestBody":{"description":"Поиск Карточки ФЛ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersonMatchInputJson"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MatchMessageResponse"},"example":{"messageResponse":{"faultMessage":{"status":999,"text":"string","description":"string"}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FaultResponse"},"example":{"messageResponse":{"faultMessage":{"status":403,"text":"string","description":"string"}}}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FaultResponse"},"example":{"messageResponse":{"faultMessage":{"status":404,"text":"string","description":"string"}}}}}},"503":{"description":"Service Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FaultResponse"},"example":{"messageResponse":{"faultMessage":{"status":503,"text":"string","description":"string"}}}}}}},"deprecated":false,"x-codegen-request-body-name":"request"}},"/merge":{"post":{"tags":["mdm-fl-controller"],"summary":"mergePersonFL","description":"Слияние Карточки ФЛ","operationId":"mergePersonFlUsingPost","requestBody":{"description":"Слияние Карточки ФЛ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MergePersonInputModel"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MergePersonOutputModel"},"example":{"messageResponse":{"faultMessage":{"status":999,"text":"string","description":"string"}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FaultResponse"},"example":{"messageResponse":{"faultMessage":{"status":403,"text":"string","description":"string"}}}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FaultResponse"},"example":{"messageResponse":{"faultMessage":{"status":404,"text":"string","description":"string"}}}}}},"503":{"description":"Service Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FaultResponse"},"example":{"messageResponse":{"faultMessage":{"status":503,"text":"string","description":"string"}}}}}}},"deprecated":false}},"/updatelink":{"post":{"tags":["mdm-fl-controller"],"summary":"createChangeCustomerRelationship","description":"Создание связей Карточки ФЛ","operationId":"createChangeCustomerRelationshipUsingPost","requestBody":{"description":"Создание связей Карточки ФЛ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LinkPartyRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LinkPartyResponse"},"example":{"messageResponse":{"faultMessage":[{"description":"string","partyUId":"string","relatedPartyUId":"string","status":"string","text":"string"}],"partyLink":[{"partyUId":"string","relatedPartyUId":"string"}]}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FaultResponse"},"example":{"messageResponse":{"faultMessage":{"status":403,"text":"string","description":"string"}}}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FaultResponse"},"example":{"messageResponse":{"faultMessage":{"status":404,"text":"string","description":"string"}}}}}},"503":{"description":"Service Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FaultResponse"},"example":{"messageResponse":{"faultMessage":{"status":503,"text":"string","description":"string"}}}}}}},"deprecated":false}},"/getTotal":{"post":{"tags":["mdm-fl-controller"],"summary":"getTotal","description":"Получение клиента ФЛ, неидентифицированного клиента ФЛ","operationId":"getTotalUsingPost","requestBody":{"description":"Получение клиента ФЛ, неидентифицированного клиента ФЛ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetTotalRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetTotalResponse"},"example":{"messageResponse":{"faultMessage":[{"status":"string","message":"string","description":"string"}],"person":[{"uuid":"string","partyUId":"string","nameExternalSystem":"string","updateDate":"2021-05-26T12:25:37","firstName":"string","middleName":"string","lastName":"string","contactPhoneCommunication":[{"completeNumber":"string","nameExternalSystem":"string","updateDate":"2021-05-26T12:25:37","error":[{"message":"string","description":"string"}]}],"emailCommunication":[{"uri":"string","nameExternalSystem":"string","updateDate":"2021-05-26T12:25:37","error":[{"message":"string","description":"string"}]}]}]}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FaultResponse"},"example":{"messageResponse":{"faultMessage":{"status":403,"text":"string","description":"string"}}}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FaultResponse"},"example":{"messageResponse":{"faultMessage":{"status":404,"text":"string","description":"string"}}}}}},"503":{"description":"Service Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FaultResponse"},"example":{"messageResponse":{"faultMessage":{"status":503,"text":"string","description":"string"}}}}}}},"deprecated":false}},"/QST/Create":{"post":{"tags":["mdm-fl-controller"],"summary":"QST/Create","description":"Создание/Обновление анкеты FATCA/CRS/PODFT","operationId":"createQSTFLUsingPost","requestBody":{"description":"Запрос на Создание/Обновление анкеты FATCA/CRS/PODFT","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateQSTRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FaultResponse"},"example":{"messageResponse":{"faultMessage":{"status":999,"text":"string","description":"string"}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FaultResponse"},"example":{"messageResponse":{"faultMessage":{"status":403,"text":"string","description":"string"}}}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FaultResponse"},"example":{"messageResponse":{"faultMessage":{"status":404,"text":"string","description":"string"}}}}}},"503":{"description":"Service Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FaultResponse"},"example":{"messageResponse":{"faultMessage":{"status":503,"text":"string","description":"string"}}}}}}},"deprecated":false}}},"components":{"schemas":{"GetPersonOutputModel":{"type":"object","properties":{"messageResponse":{"$ref":"#/components/schemas/SwiPersonListModel1"}},"additionalProperties":false,"description":"Ответ на получение Карточки ФЛ"},"CreatePersonOutputModel":{"type":"object","properties":{"messageResponse":{"$ref":"#/components/schemas/SwiPersonListModel0"}},"additionalProperties":false,"description":"Ответ на создание или обновление Карточки ФЛ"},"MergeOutput":{"title":"MergeOutput","type":"object","properties":{"faultMessage":{"$ref":"#/components/schemas/FaultText0"},"person":{"type":"array","description":"информация о карточки ФЛ","items":{"$ref":"#/components/schemas/ContactFullModel2"}}},"additionalProperties":false,"description":"Ответ на слиянию Карточек ФЛ"},"MergePersonOutputModel":{"type":"object","properties":{"messageResponse":{"$ref":"#/components/schemas/MergeOutput"}},"additionalProperties":false,"description":"Ответ на слияние Карточки ФЛ"},"FaultResponse":{"type":"object","properties":{"messageResponse":{"$ref":"#/components/schemas/FaultMessage"}},"additionalProperties":false,"description":"Блок ошибки"},"FaultMessage":{"type":"object","properties":{"faultMessage":{"$ref":"#/components/schemas/FaultText"}},"additionalProperties":false,"description":"Блок тела при ошибки"},"FaultText0":{"type":"object","properties":{"status":{"maximum":999,"minimum":100,"type":"integer","description":"Код ошибки"},"text":{"maxLength":30,"type":"string","description":"Текст ошибки"},"description":{"maxLength":1000,"type":"string","description":"Описание ошибки"}},"additionalProperties":false,"description":"Блок тела при ошибки"},"FaultText":{"type":"object","properties":{"status":{"maximum":999,"minimum":100,"type":"integer","description":"Код ошибки"},"text":{"maxLength":30,"type":"string","description":"Текст ошибки"},"description":{"maxLength":1000,"type":"string","description":"Описание ошибки"}},"additionalProperties":false,"description":"Блок тела при ошибки"},"AddressRegistration":{"title":"AddressRegistration","type":"object","properties":{"apartmentNumber":{"maxLength":100,"type":"string","description":"Номер квартиры"},"building":{"maxLength":100,"type":"string","description":"Номер дома"},"city":{"maxLength":100,"type":"string","description":"Город"},"country":{"maxLength":100,"type":"string","description":"Страна"},"district":{"maxLength":100,"type":"string","description":"Округ"},"house":{"maxLength":100,"type":"string","description":"Дом"},"housing":{"maxLength":100,"type":"string","description":"Корпус"},"location":{"maxLength":100,"type":"string","description":"Район"},"notFormAddrName":{"maxLength":255,"type":"string","description":"Ненормированный адрес"},"region":{"maxLength":100,"type":"string","description":"Регион"},"stateNumber":{"maxLength":100,"type":"string","description":"Номер региона"},"street":{"maxLength":100,"type":"string","description":"Улица"},"zipCode":{"maxLength":100,"type":"string","description":"Индекс"}},"additionalProperties":false,"description":"Регистрация"},"BlackList":{"title":"BlackList","type":"object","properties":{"endDate":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата окончания","example":"2021-11-16"},"loginExternalSystem":{"maxLength":100,"type":"string","description":"наименование учетной записи","example":"SADMIN"},"nameExternalSystem":{"maxLength":100,"type":"string","description":"наименование системы источника","example":"MDM_CH"},"startDate":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата создания","example":"2021-11-16"},"type":{"maxLength":100,"type":"string","description":"Тип","example":"76"},"updateDate":{"maxLength":100,"type":"string","description":"Дата обновления","format":"date-time"},"value":{"type":"boolean","description":"Значение","example":false}},"additionalProperties":false,"description":"Черный список"},"ContactRelationshipModel0":{"title":"ContactRelationshipModel0","type":"object","properties":{"cIFContactRefRelated":{"type":"array","description":"Список кросс-ссылок связанного клиента ФЛ","items":{"$ref":"#/components/schemas/RelatedReference"}},"cIFAccountRefRelated":{"type":"array","description":"Список кросс-ссылок связанного клиента ЮЛ","items":{"$ref":"#/components/schemas/RelatedReference"}},"endDate":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата окончания","example":"2021-11-16"},"loginExternalSystem":{"maxLength":100,"type":"string","description":"наименование учетной записи","example":"iivanov"},"nameExternalSystem":{"maxLength":100,"type":"string","description":"наименование системы источника","example":"SBL_FR"},"partyUId":{"maxLength":15,"type":"string","description":"УИК от которого устанавливается связь","example":"1234555"},"portion":{"maxLength":100,"type":"string","description":"тип доли","example":"0"},"relatedAttrib":{"maxLength":100,"type":"string","description":"Атрибут связи","example":"Нотариальное удостоверенное соглашение о разделе наследственного имущества в соответствии со статьей 1165 Гражданского кодекса Российской Федерации"},"relatedAttrib2":{"maxLength":100,"type":"string","description":"Второстепенный атрибут связи","example":"1594384"},"relatedPartyType":{"maxLength":100,"type":"string","description":"Тип связи","example":"Contact"},"relatedPartyUId":{"maxLength":100,"type":"string","description":"УИК связываемого родственика","example":"1234555"},"role":{"maxLength":100,"type":"string","description":"код роли","example":"36"},"startDate":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата создания","example":"2020-10-01"},"updateDate":{"maxLength":100,"type":"string","description":"Дата обновления","format":"date-time"}},"additionalProperties":false,"description":"Список родственных связей"},"ContactRelationshipModel":{"title":"ContactRelationshipModel0","type":"object","properties":{"endDate":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата окончания","example":"2021-11-16"},"loginExternalSystem":{"maxLength":100,"type":"string","description":"наименование учетной записи","example":"iivanov"},"nameExternalSystem":{"maxLength":100,"type":"string","description":"наименование системы источника","example":"SBL_FR"},"partyUId":{"maxLength":15,"type":"string","description":"УИК от которого устанавливается связь","example":"1234555"},"portion":{"maxLength":100,"type":"string","description":"тип доли","example":"0"},"relatedAttrib":{"maxLength":100,"type":"string","description":"Атрибут связи","example":"Нотариальное удостоверенное соглашение о разделе наследственного имущества в соответствии со статьей 1165 Гражданского кодекса Российской Федерации"},"relatedAttrib2":{"maxLength":100,"type":"string","description":"Второстепенный атрибут связи","example":"1594384"},"relatedPerson":{"maxLength":100,"type":"string","description":"Тип связи","example":"Contact"},"relatedPartyUId":{"maxLength":100,"type":"string","description":"УИК связываемого родственика","example":"1234555"},"role":{"maxLength":100,"type":"string","description":"код роли","example":"36"},"startDate":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата создания","example":"2020-10-01"},"updateDate":{"maxLength":100,"type":"string","description":"Дата обновления","format":"date-time"}},"additionalProperties":false,"description":"Список родственных связей"},"ContactAlternatePhoneModel":{"title":"ContactAlternatePhoneModel","required":["loginExternalSystem","nameExternalSystem","notFormFullPhone","phoneType","trustFlag","updateDate"],"type":"object","properties":{"areaName":{"maxLength":255,"type":"string","description":"зона"},"completeNumber":{"maxLength":100,"type":"string","description":"полный номер телефона"},"endDate":{"maxLength":30,"type":"string","description":"Дата окончания","format":"date-time"},"loginExternalSystem":{"maxLength":100,"type":"string","description":"Наименование учетной записи"},"nameExternalSystem":{"maxLength":100,"type":"string","description":"Наименование системы источника"},"notFormFullPhone":{"maxLength":50,"type":"string","description":"Основной блок номера"},"phoneType":{"maxLength":30,"type":"string","description":"Тип номера"},"providerName":{"maxLength":100,"type":"string","description":"Провайдер телефона"},"startDate":{"maxLength":30,"type":"string","description":"Дата создания","format":"date-time"},"trustFlag":{"type":"boolean","description":"Флаг доверительной системы"},"updateDate":{"maxLength":30,"type":"string","description":"дата обновления","format":"date-time"},"verificated":{"type":"boolean","description":"Подтверждение"},"verificationDate":{"maxLength":30,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"дата обновления"}},"additionalProperties":false,"description":"Информация по телефонам"},"ContactAlternatePhoneModel2":{"title":"ContactAlternatePhoneModel","type":"object","properties":{"completeNumber":{"maxLength":100,"type":"string","description":"полный номер телефона","example":"4567891"},"endDate":{"maxLength":100,"type":"string","description":"Дата окончания","format":"date-time"},"loginExternalSystem":{"maxLength":100,"type":"string","description":"Наименование учетной записи","example":"SBL_FR"},"nameExternalSystem":{"maxLength":100,"type":"string","description":"Наименование системы источника","example":"SBL_FR"},"notFormFullPhone":{"maxLength":100,"type":"string","description":"Основной блок номера","example":"4567891"},"phoneType":{"maxLength":100,"type":"string","description":"Тип номера","example":"1"},"startDate":{"maxLength":100,"type":"string","description":"Дата создания","format":"date-time"},"trustFlag":{"type":"boolean","description":"Флаг доверительной системы","example":true},"updateDate":{"maxLength":100,"type":"string","description":"дата обновления","format":"date-time"},"verificated":{"type":"boolean","description":"Подтверждение","example":true},"verificationDate":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"дата обновления","example":"2021-11-16"}},"additionalProperties":false,"description":"Информация по телефонам"},"ContactAlternatePhoneModel3":{"title":"ContactAlternatePhoneModel","type":"object","properties":{"areaName":{"maxLength":255,"type":"string","description":"зона","example":"Москва"},"completeNumber":{"maxLength":100,"type":"string","description":"полный номер телефона","example":"4567891"},"endDate":{"maxLength":100,"type":"string","description":"Дата окончания","format":"date-time"},"loginExternalSystem":{"maxLength":100,"type":"string","description":"Наименование учетной записи","example":"SBL_FR"},"nameExternalSystem":{"maxLength":100,"type":"string","description":"Наименование системы источника","example":"SBL_FR"},"notFormFullPhone":{"maxLength":100,"type":"string","description":"Основной блок номера","example":"4567891"},"phoneType":{"maxLength":100,"type":"string","description":"Тип номера","example":"1"},"qualityCode":{"maxLength":100,"type":"string","description":"Тип кода","example":"GOOD"},"providerName":{"maxLength":100,"type":"string","description":"Провайдер телефона","example":"ПАО Вымпел-Коммуникации"},"startDate":{"maxLength":100,"type":"string","description":"Дата создания","format":"date-time"},"trustFlag":{"type":"boolean","description":"Флаг доверительной системы","example":true},"updateDate":{"maxLength":100,"type":"string","description":"дата обновления","format":"date-time"},"verificated":{"type":"boolean","description":"Подтверждение","example":true},"verificationDate":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"дата обновления","example":"2021-11-17"}},"additionalProperties":false,"description":"Информация по телефонам"},"ContactAlternatePhoneModel0":{"title":"ContactAlternatePhoneModel","type":"object","properties":{"fullPhone":{"maxLength":100,"type":"string","description":"полный номер","example":"4567891"},"endDate":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата окончания","example":"2021-11-17"},"loginExternalSystem":{"maxLength":100,"type":"string","description":"Наименование учетной записи","example":"SADMIN"},"nameExternalSystem":{"maxLength":100,"type":"string","description":"Наименование системы источника","example":"SBL_FR"},"notFormFullPhone":{"maxLength":100,"type":"string","description":"Основной блок номера","example":"4567891"},"phoneType":{"maxLength":100,"type":"string","description":"Тип номера","example":"1"},"startDate":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата создания","example":"2021-11-17"},"trustFlag":{"type":"boolean","description":"Флаг доверительной системы","example":true},"updateDate":{"maxLength":100,"type":"string","description":"дата обновления","format":"date-time"},"verificated":{"type":"boolean","description":"Подтверждение","example":true},"verificationDate":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"дата обновления","example":"2021-11-17"}},"additionalProperties":false,"description":"Информация по телефонам"},"ContactCommunicationAddressModel0":{"title":"ContactCommunicationAddressModel","type":"object","properties":{"emailType":{"maxLength":100,"type":"string","description":"Тип почты","example":"13"},"endDate":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата окончания","example":"2021-11-17"},"loginExternalSystem":{"maxLength":100,"type":"string","description":"Наименования учетной записи","example":"SADMIN"},"nameExternalSystem":{"maxLength":100,"type":"string","description":"Наименование системы источника","example":"SBL_FR"},"startDate":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата создания","example":"2021-11-17"},"trustFlag":{"type":"boolean","description":"Флаг доверительной системы","example":true},"updateDate":{"maxLength":100,"type":"string","description":"Дата обновления","format":"date-time"},"email":{"maxLength":100,"type":"string","description":"Адрес почты","example":"kgkg@post.ru"}},"additionalProperties":false,"description":"Почта клиента"},"ContactCommunicationAddressModel":{"title":"ContactCommunicationAddressModel","required":["emailType","loginExternalSystem","nameExternalSystem","updateDate","uri"],"type":"object","properties":{"emailType":{"maxLength":30,"type":"string","description":"Тип почты"},"endDate":{"maxLength":30,"type":"string","description":"Дата окончания","format":"date-time"},"loginExternalSystem":{"maxLength":100,"type":"string","description":"Наименования учетной записи"},"nameExternalSystem":{"maxLength":100,"type":"string","description":"Наименование системы источника"},"startDate":{"maxLength":30,"type":"string","description":"Дата создания","format":"date-time"},"trustFlag":{"type":"boolean","description":"Флаг доверительной системы"},"updateDate":{"maxLength":30,"type":"string","description":"Дата обновления","format":"date-time"},"uri":{"maxLength":50,"type":"string","description":"Адрес почты"}},"additionalProperties":false,"description":"Почта клиента"},"ContactCommunicationAddressModel2":{"title":"ContactCommunicationAddressModel","type":"object","properties":{"emailType":{"maxLength":100,"type":"string","description":"Тип почты","example":"13"},"endDate":{"maxLength":100,"type":"string","description":"Дата окончания","format":"date-time"},"loginExternalSystem":{"maxLength":100,"type":"string","description":"Наименования учетной записи","example":"1-0"},"nameExternalSystem":{"maxLength":100,"type":"string","description":"Наименование системы источника","example":"SBL_FR"},"startDate":{"maxLength":100,"type":"string","description":"Дата создания","format":"date-time"},"trustFlag":{"type":"boolean","description":"Флаг доверительной системы","example":true},"updateDate":{"maxLength":100,"type":"string","description":"Дата обновления","format":"date-time"},"uRI":{"maxLength":100,"type":"string","description":"Адрес почты"}},"additionalProperties":false,"description":"Почта клиента"},"ContactCommunicationAddressModel1":{"title":"ContactCommunicationAddressModel","type":"object","properties":{"emailType":{"maxLength":100,"type":"string","description":"Тип почты","example":"13"},"endDate":{"maxLength":100,"type":"string","description":"Дата окончания","format":"date-time"},"loginExternalSystem":{"maxLength":100,"type":"string","description":"Наименования учетной записи","example":"SADMIN"},"nameExternalSystem":{"maxLength":100,"type":"string","description":"Наименование системы источника","example":"SBL_FR"},"startDate":{"maxLength":100,"type":"string","description":"Дата создания","format":"date-time"},"trustFlag":{"type":"boolean","description":"Флаг доверительной системы","example":true},"updateDate":{"maxLength":100,"type":"string","description":"Дата обновления","format":"date-time"},"uri":{"maxLength":100,"type":"string","description":"Адрес почты","example":"kgkg@post.ru"}},"additionalProperties":false,"description":"Почта клиента"},"ContactEducationModel0":{"title":"ContactEducationModel","type":"object","properties":{"educationDegree":{"maxLength":100,"type":"string","description":"Код уровеня образования","example":"7"},"educationType":{"maxLength":100,"type":"string","description":"Тип образования","example":"1"},"institutionName":{"maxLength":100,"type":"string","description":"Институт","example":"ДВГУПС"},"loginExternalSystem":{"maxLength":100,"type":"string","description":"Наименование учетной записи","example":"EFR"},"nameExternalSystem":{"maxLength":100,"type":"string","description":"Наименование системы источника","example":"SBL_FR"},"updateDate":{"maxLength":100,"type":"string","description":"Дата обновление","format":"date-time"},"speciality":{"maxLength":100,"type":"string","description":"Специальность","example":"Экономика"},"scientificDegree":{"maxLength":100,"type":"string","description":"Код ученой степени","example":"1"},"startDate":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата начала действия","example":"2021-11-17"},"endDate":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата окончания действия","example":"2091-11-17"}},"additionalProperties":false,"description":"информация об образовании"},"ContactEducationModel":{"title":"ContactEducationModel","required":["educationDegree","educationType","institutionName","loginExternalSystem","nameExternalSystem","updateDate"],"type":"object","properties":{"educationDegree":{"maxLength":30,"type":"string","description":"Уровень образовании"},"educationType":{"maxLength":30,"type":"string","description":"Тип образования"},"institutionName":{"maxLength":30,"type":"string","description":"Институт"},"loginExternalSystem":{"maxLength":100,"type":"string","description":"Наименование учетной записи"},"nameExternalSystem":{"maxLength":100,"type":"string","description":"Наименование системы источника"},"updateDate":{"maxLength":30,"type":"string","description":"Дата обновление","format":"date-time"},"speciality":{"maxLength":100,"type":"string","description":"Специальность"},"scientificDegree":{"maxLength":30,"type":"string","description":"Код ученой степени"},"startDate":{"maxLength":30,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата начала действия"},"endDate":{"maxLength":30,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата окончания действия"}},"additionalProperties":false,"description":"информация об образовании"},"ContactEducationModel1":{"title":"ContactEducationModel","type":"object","properties":{"educationDegree":{"maxLength":100,"type":"string","description":"Код уровня образовании","example":"7"},"educationType":{"maxLength":100,"type":"string","description":"Код типа образования","example":"1"},"institutionName":{"maxLength":100,"type":"string","description":"Наименование учебного заведения","example":"ДВГУПС"},"speciality":{"maxLength":100,"type":"string","description":"Специальность","example":"Экономика"},"scientificDegree":{"maxLength":100,"type":"string","description":"Код ученой степени","example":"1"},"loginExternalSystem":{"maxLength":100,"type":"string","description":"Наименование учетной записи","example":"EFR"},"nameExternalSystem":{"maxLength":100,"type":"string","description":"Наименование системы источника","example":"SBL_FR"},"updateDate":{"maxLength":100,"type":"string","description":"Дата обновления","format":"date-time"},"startDate":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата начала действия","example":"2021-05-26"},"endDate":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата окончания действия","example":"2041-05-26"}},"additionalProperties":false,"description":"Информация об образовании"},"CRSCountry":{"title":"CRSCountry","type":"object","properties":{"address":{"maxLength":250,"type":"string","description":"Адрес в стране налогового резидентства","example":"Адрес в стране налогового резидентства"}},"additionalProperties":false,"description":"Информация об образовании"},"ContactFullModel0":{"title":"ContactFullModel0","type":"object","properties":{"CRSCountry":{"type":"array","description":"Блок \"Адреса в стране налогового резидентства\"","items":{"$ref":"#/components/schemas/CRSCountry"}},"OMS":{"maxLength":100,"type":"string","description":"Номер полиса","example":"123"},"education":{"type":"array","description":"Информация об обучении","items":{"$ref":"#/components/schemas/ContactEducationModel1"}},"address":{"type":"array","description":"Адрес","items":{"$ref":"#/components/schemas/ContactInsPersonalAddressModel1"}},"bankEmployee":{"maxLength":100,"type":"string","description":"Код типа сотрудника","example":"4"},"birthDateTime":{"maxLength":100,"type":"string","description":"Дата рождения","format":"date-time"},"birthPlace":{"maxLength":100,"type":"string","description":"Место рождения","example":"г.Самара"},"blackList":{"type":"array","description":"Черный список","items":{"$ref":"#/components/schemas/ContactSegmentBlackListModel2"}},"changeDateFullName":{"maxLength":100,"type":"string","description":"Дата изменения ФИО","format":"date-time"},"contactPhoneCommunication":{"type":"array","description":"Информация о телефонах","items":{"$ref":"#/components/schemas/ContactAlternatePhoneModel2"}},"contactRelationship":{"type":"array","description":"Информация о связях","items":{"$ref":"#/components/schemas/ContactRelationshipModel0"}},"deathDateTime":{"maxLength":100,"type":"string","description":"Дата смерти","format":"date-time"},"emailCommunication":{"type":"array","description":"Информация об почте","items":{"$ref":"#/components/schemas/ContactCommunicationAddressModel2"}},"employment":{"type":"array","description":"Информация о работе","items":{"$ref":"#/components/schemas/JobHistoryModel1"}},"firstName":{"maxLength":100,"type":"string","description":"Имя","example":"Александр"},"fullNameAblative":{"maxLength":100,"type":"string","description":"Имя в творительном падеже","example":"Александром Васильевичем Жучковым"},"fullNameDative":{"maxLength":100,"type":"string","description":"Имя в дательном падеже","example":"Александру Васильевичу Жучкову"},"fullNameGenitive":{"maxLength":100,"type":"string","description":"Имя в родительном падеже","example":"Александра Васильевича Жучкова"},"genderCode":{"maxLength":100,"type":"string","description":"пол","example":"1"},"id":{"maxLength":100,"type":"string","description":"идентификатор клиента","example":"11111"},"lastName":{"maxLength":100,"type":"string","description":"Фамилия","example":"Жучков"},"maritalStatusCode":{"maximum":10000,"minimum":0,"type":"integer","description":"Семейное положение","example":1},"middleName":{"maxLength":100,"type":"string","description":"Отчество","example":"Васильевич"},"nationalityCountryCode":{"maxLength":100,"type":"string","description":"национальность","example":"430"},"personDocumentIdentity":{"type":"array","description":"паспорт","items":{"$ref":"#/components/schemas/ContactPubContactIdentityModel0"}},"plannedUpdateDate":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата обновления","example":"2021-05-26"},"previousFirstName":{"maxLength":100,"type":"string","description":"предыдущая фамилия","example":"Челюскин"},"previousLastName":{"maxLength":100,"type":"string","description":"предыдущее Имя","example":"Мыс"},"previousMiddleName":{"maxLength":100,"type":"string","description":"предыдущее отчество","example":"Крузенштернович"},"pubOfficialStatus":{"maximum":10,"minimum":0,"type":"integer","description":"Официальный статус","example":1},"relatives":{"type":"array","description":"информаиця о семье","items":{"$ref":"#/components/schemas/ContactRelativesModel0"}},"rezidentFlag":{"type":"boolean","description":"резидент","example":true},"riskLevel":{"maxLength":100,"type":"string","description":"уровень риска","example":"1"},"riskLevelJustification":{"type":"array","description":"уровень риска","items":{"$ref":"#/components/schemas/JustificationRiskModel"}},"segment":{"type":"array","description":"сущность сегмент","items":{"$ref":"#/components/schemas/ContactSegmentModel0"}},"status":{"maxLength":100,"type":"string","description":"статус","example":"1"},"taxRezident":{"type":"boolean","description":"резидент налоговый","example":true},"terminated":{"type":"boolean","description":"заблокированный пользователь","example":false},"tin":{"maxLength":100,"type":"string","description":"ИНН","example":"123456789123"},"type":{"maxLength":100,"type":"string","description":"Тип","example":"1"},"employerCode":{"maxLength":100,"type":"string","description":"Табельный номер сотрудника","example":"123"},"childrenNumber":{"maxLength":100,"type":"string","description":"Число детей","example":"1"},"dependentNumber":{"maxLength":100,"type":"string","description":"Число иждивенцев сотрудника","example":"1"},"householderNumber":{"maxLength":100,"type":"string","description":"Общее число членов домохозяйства","example":"1"},"numTaxInspection":{"maxLength":100,"type":"string","description":"Номер налоговой инспекции","example":"97.0"},"consentCreditBureauVerification":{"type":"boolean","description":"Согласие на предоставление данных БКИ кредитной организации-кредитору","example":true},"consentCreditBureauUpload":{"type":"boolean","description":"Согласие на передачу данных в БКИ","example":true}},"additionalProperties":false,"description":"Карточка Фл"},"ContactFullModel":{"title":"ContactFullModel","type":"object","properties":{"OMS":{"maxLength":20,"type":"string","description":"Номер полиса"},"address":{"type":"array","description":"Адрес","items":{"$ref":"#/components/schemas/ContactInsPersonalAddressModel"}},"bankEmployee":{"maxLength":30,"type":"string","description":"Код типа сотрудника"},"birthDateTime":{"maxLength":30,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата рождения"},"birthPlace":{"maxLength":200,"type":"string","description":"Место рождения"},"blackList":{"type":"array","description":"Черный список","items":{"$ref":"#/components/schemas/ContactSegmentBlackListModel"}},"changeDateFullName":{"maxLength":30,"type":"string","description":"Дата изменения ФИО","format":"date-time"},"contactPhoneCommunication":{"type":"array","description":"Информация о телефонах","items":{"$ref":"#/components/schemas/ContactAlternatePhoneModel"}},"deathDateTime":{"maxLength":30,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата смерти"},"education":{"type":"array","description":"Информация об обучении","items":{"$ref":"#/components/schemas/ContactEducationModel"}},"emailCommunication":{"type":"array","description":"Информация об почте","items":{"$ref":"#/components/schemas/ContactCommunicationAddressModel"}},"employment":{"type":"array","description":"Информация о работе","items":{"$ref":"#/components/schemas/JobHistoryModel"}},"firstName":{"maxLength":50,"type":"string","description":"Фамилия"},"firstNameLat":{"maxLength":50,"type":"string","description":"Фамилия на латинском"},"fullNameAblative":{"maxLength":150,"type":"string","description":"Имя в творительном падеже"},"fullNameDative":{"maxLength":150,"type":"string","description":"Имя в дательном падеже"},"fullNameGenitive":{"maxLength":150,"type":"string","description":"Имя в родительном падеже"},"genderCode":{"maxLength":30,"type":"string","description":"пол"},"id":{"maxLength":100,"type":"string","description":"идентификатор клиента"},"lastName":{"maxLength":50,"type":"string","description":"Отчество"},"lastNameLat":{"maxLength":50,"type":"string","description":"Отвество на латинском"},"maritalStatusCode":{"maximum":10000,"minimum":0,"type":"integer","description":"Семейное положение"},"middleName":{"maxLength":50,"type":"string","description":"Отчество"},"nationalityCountryCode":{"maxLength":30,"type":"string","description":"национальность"},"personDocumentIdentity":{"type":"array","description":"документы пользователя","items":{"$ref":"#/components/schemas/ContactPubContactIdentityModel"}},"plannedUpdateDate":{"maxLength":30,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата обновление"},"previousFirstName":{"maxLength":50,"type":"string","description":"предыдущая фамилия"},"previousLastName":{"maxLength":50,"type":"string","description":"предыдущее Имя"},"previousMiddleName":{"maxLength":50,"type":"string","description":"предыдущее отчество"},"pubOfficialStatus":{"maximum":10,"minimum":0,"type":"integer","description":"Официальный статус"},"relatives":{"type":"array","description":"информаиця о семье","items":{"$ref":"#/components/schemas/ContactRelativesModel"}},"riskLevel":{"maxLength":30,"type":"string","description":"уровень риска"},"rezidentFlag":{"type":"boolean","description":"резидент"},"riskLevelJustification":{"type":"array","description":"уровень риска","items":{"$ref":"#/components/schemas/JustificationRiskModel"}},"segment":{"type":"array","description":"сущность сегмент","items":{"$ref":"#/components/schemas/ContactSegmentModel"}},"taxRezident":{"type":"boolean","description":"резидент налоговый"},"terminated":{"type":"boolean","description":"заблокированный пользователь"},"tin":{"maxLength":20,"type":"string","description":"ИНН"},"type":{"maxLength":30,"type":"string","description":"Тип"},"employerCode":{"maxLength":15,"type":"string","description":"Табельный номер сотрудника"},"childrenNumber":{"maxLength":100,"type":"string","description":"Число детей"},"dependentNumber":{"maxLength":100,"type":"string","description":"Число иждивенцев сотрудника"},"householderNumber":{"maxLength":100,"type":"string","description":"Общее число членов домохозяйства"},"numTaxInspection":{"maxLength":12,"type":"string","description":"Номер налоговой инспекции"},"consentCreditBureauVerification":{"type":"boolean","description":"Согласие на предоставление данных БКИ кредитной  организации - кредитору"},"consentCreditBureauUpload":{"type":"boolean","description":"Согласие на передачу данных в БКИ"}},"additionalProperties":false,"description":"Информация о клиенте"},"ContactInsPersonalAddressModel0":{"title":"ContactIinsPersonalAddressModel","type":"object","properties":{"apartmentNumber":{"maxLength":100,"type":"string","description":"Номер квартиры","example":"1"},"building":{"maxLength":100,"type":"string","description":"номер дома","example":"7"},"city":{"maxLength":100,"type":"string","description":"Город","example":"Москва"},"cityType":{"maxLength":100,"type":"string","description":"Тип города","example":"г"},"country":{"maxLength":100,"type":"string","description":"Страна","example":"10"},"endDate":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата окончания регистрации","example":"2041-10-21"},"addressName":{"maxLength":100,"type":"string","description":"Полный адрес","example":"г.Москва, ул. Энергетическая, д.7. кв.1"},"house":{"maxLength":100,"type":"string","description":"Дом","example":"7"},"housing":{"maxLength":100,"type":"string","description":"Корпус","example":"1"},"kladrCode":{"maxLength":100,"type":"string","description":"Кладр","example":"50013001001010000"},"state":{"maxLength":100,"type":"string","description":"Область","example":"ОПАЛИХА"},"stateType":{"maxLength":100,"type":"string","description":"Тип области","example":"МКР"},"loginExternalSystem":{"maxLength":100,"type":"string","description":"Наименование учетной записи","example":"SADMIN"},"nameExternalSystem":{"maxLength":100,"type":"string","description":"Наименование системы источника","example":"SBL_FR"},"notFormAddrName":{"maxLength":255,"type":"string","description":"Ненормированный адрес","example":"г.Москва, ул. Энергетическая, д.7. кв.1"},"okatoCode":{"maxLength":100,"type":"string","description":"Окато","example":"46223501000"},"settlement":{"maxLength":100,"type":"string","description":"Провинция","example":"Московская"},"personalPrefSettlement":{"maxLength":100,"type":"string","description":"Тип провинции","example":"Область"},"district":{"maxLength":100,"type":"string","description":"Регион","example":"КРАСНОГОРСКИЙ"},"districtType":{"maxLength":100,"type":"string","description":"Тип региона","example":"Регион"},"startDate":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата начала регистрации","example":"2020-10-10"},"stateNumber":{"maxLength":100,"type":"string","description":"Штат","example":"Регион"},"street":{"maxLength":100,"type":"string","description":"Улица","example":"Энергетическая"},"streetType":{"maxLength":100,"type":"string","description":"Тип улицы","example":"Улица"},"trustFlag":{"type":"boolean","description":"Флаг доверительной системы","example":true},"personalAddressType":{"maxLength":100,"type":"string","description":"Тип кода","example":"1"},"updateDate":{"maxLength":100,"type":"string","description":"Дата обновления","format":"date-time"},"zipCode":{"maxLength":100,"type":"string","description":"Индекс","example":"111116"}},"additionalProperties":false,"description":"Информация об адресе"},"ContactInsPersonalAddressModel":{"title":"ContactIinsPersonalAddressModel","required":["fullAddress","loginExternalSystem","nameExternalSystem","trustFlag","typeCode","updateDate"],"type":"object","properties":{"apartmentNumber":{"maxLength":10,"type":"string","description":"Номер квартиры"},"building":{"maxLength":10,"type":"string","description":"номер дома"},"city":{"maxLength":100,"type":"string","description":"Город"},"cityType":{"maxLength":30,"type":"string","description":"Тип города"},"country":{"maxLength":30,"type":"string","description":"Страна"},"endDateofRegistration":{"maxLength":30,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата окончания регистрации"},"fullAddress":{"maxLength":1000,"type":"string","description":"Полный адрес"},"house":{"maxLength":10,"type":"string","description":"Дом"},"housing":{"maxLength":10,"type":"string","description":"Корпус"},"kladr":{"maxLength":19,"type":"string","description":"Кладр"},"location":{"maxLength":100,"type":"string","description":"Область"},"locationType":{"maxLength":30,"type":"string","description":"Тип области"},"loginExternalSystem":{"maxLength":100,"type":"string","description":"Наименование учетной записи"},"nameExternalSystem":{"maxLength":100,"type":"string","description":"Наименование системы источника"},"notFormAddrName":{"maxLength":1000,"type":"string","description":"Ненормированный адрес"},"okato":{"maxLength":20,"type":"string","description":"Окато"},"province":{"maxLength":50,"type":"string","description":"Провинция"},"provinceType":{"maxLength":30,"type":"string","description":"Тип провинции"},"region":{"maxLength":10,"type":"string","description":"Регион"},"regionType":{"maxLength":100,"type":"string","description":"Тип региона"},"startDateofRegistration":{"maxLength":30,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата начала регистрации"},"state":{"maxLength":100,"type":"string","description":"Штат"},"street":{"maxLength":100,"type":"string","description":"Улица"},"streetType":{"maxLength":30,"type":"string","description":"Тип улицы"},"trustFlag":{"type":"boolean","description":"Флаг доверительной системы"},"typeCode":{"maxLength":30,"type":"string","description":"Тип кода"},"updateDate":{"maxLength":30,"type":"string","description":"Дата обновления","format":"date-time"},"zipCode":{"maxLength":30,"type":"string","description":"Индекс"}},"additionalProperties":false,"description":"Информация об адресе"},"ContactInsPersonalAddressModel1":{"title":"ContactIinsPersonalAddressModel","type":"object","properties":{"apartmentNumber":{"maxLength":100,"type":"string","description":"Номер квартиры","example":"1"},"building":{"maxLength":100,"type":"string","description":"номер дома","example":"7"},"city":{"maxLength":100,"type":"string","description":"Город","example":"Москва"},"cityType":{"maxLength":100,"type":"string","description":"Тип города","example":"г"},"country":{"maxLength":100,"type":"string","description":"Страна","example":"10"},"endDateofRegistration":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата окончания регистрации","example":"2041-10-21"},"fullAddress":{"maxLength":1000,"type":"string","description":"Полный адрес","example":"г.Москва, ул. Энергетическая, д.7. кв.1"},"house":{"maxLength":100,"type":"string","description":"Дом","example":"7"},"housing":{"maxLength":100,"type":"string","description":"Корпус","example":"1"},"kladr":{"maxLength":100,"type":"string","description":"Кладр","example":"50013001001010000"},"location":{"maxLength":100,"type":"string","description":"Область","example":"ОПАЛИХА"},"locationType":{"maxLength":100,"type":"string","description":"Тип области","example":"МКР"},"loginExternalSystem":{"maxLength":100,"type":"string","description":"Наименование учетной записи","example":"SADMIN"},"nameExternalSystem":{"maxLength":100,"type":"string","description":"Наименование системы источника","example":"SBL_FR"},"notFormAddrName":{"maxLength":255,"type":"string","description":"Ненормированный адрес","example":"г.Москва, ул. Энергетическая, д.7. кв.1"},"okato":{"maxLength":100,"type":"string","description":"Окато","example":"46223501000"},"province":{"maxLength":100,"type":"string","description":"Провинция","example":"Московская"},"provinceType":{"maxLength":100,"type":"string","description":"Тип провинции","example":"Область"},"region":{"maxLength":100,"type":"string","description":"Регион","example":"КРАСНОГОРСКИЙ"},"regionType":{"maxLength":100,"type":"string","description":"Тип региона","example":"Регион"},"startDateofRegistration":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата начала регистрации","example":"2020-10-10"},"state":{"maxLength":100,"type":"string","description":"Штат","example":"Регион"},"street":{"maxLength":100,"type":"string","description":"Улица","example":"Энергетическая"},"streetType":{"maxLength":100,"type":"string","description":"Тип улицы","example":"Улица"},"trustFlag":{"type":"boolean","description":"Флаг доверительной системы","example":true},"typeCode":{"maxLength":100,"type":"string","description":"Тип кода","example":"1"},"updateDate":{"maxLength":100,"type":"string","description":"Дата обновления","format":"date-time"},"zipCode":{"maxLength":100,"type":"string","description":"Индекс","example":"111116"}},"additionalProperties":false,"description":"Информация об адресе"},"ContactInsPersonalAddressModel2":{"title":"ContactIinsPersonalAddressModel","type":"object","properties":{"apartmentNumber":{"maxLength":100,"type":"string","description":"Номер квартиры","example":"1"},"building":{"maxLength":100,"type":"string","description":"номер дома","example":"7"},"city":{"maxLength":100,"type":"string","description":"Город","example":"Москва"},"cityType":{"maxLength":100,"type":"string","description":"Тип города","example":"г"},"country":{"maxLength":100,"type":"string","description":"Страна","example":"10"},"endDateofRegistration":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата окончания регистрации","example":"2041-10-21"},"fullAddress":{"maxLength":1000,"type":"string","description":"Полный адрес","example":"г.Москва, ул. Энергетическая, д.7. кв.1"},"house":{"maxLength":100,"type":"string","description":"Дом","example":"7"},"housing":{"maxLength":100,"type":"string","description":"Корпус","example":"1"},"kLADR":{"maxLength":100,"type":"string","description":"Кладр","example":"50013001001010000"},"location":{"maxLength":100,"type":"string","description":"Область","example":"ОПАЛИХА"},"locationType":{"maxLength":100,"type":"string","description":"Тип области","example":"МКР"},"loginExternalSystem":{"maxLength":100,"type":"string","description":"Наименование учетной записи","example":"SADMIN"},"nameExternalSystem":{"maxLength":100,"type":"string","description":"Наименование системы источника","example":"SBL_FR"},"notFormAddrName":{"maxLength":255,"type":"string","description":"Ненормированный адрес","example":"г.Москва, ул. Энергетическая, д.7. кв.1"},"oKATO":{"maxLength":100,"type":"string","description":"Окато","example":"46223501000"},"province":{"maxLength":100,"type":"string","description":"Провинция","example":"Московская"},"provinceType":{"maxLength":100,"type":"string","description":"Тип провинции","example":"Область"},"region":{"maxLength":100,"type":"string","description":"Регион","example":"КРАСНОГОРСКИЙ"},"regionType":{"maxLength":100,"type":"string","description":"Тип региона","example":"Регион"},"startDateofRegistration":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата начала регистрации","example":"2020-10-10"},"state":{"maxLength":100,"type":"string","description":"Штат","example":"Регион"},"street":{"maxLength":100,"type":"string","description":"Улица","example":"Энергетическая"},"streetType":{"maxLength":100,"type":"string","description":"Тип улицы","example":"Улица"},"trustFlag":{"type":"boolean","description":"Флаг доверительной системы","example":true},"typeCode":{"maxLength":100,"type":"string","description":"Тип кода","example":"1"},"updateDate":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата обновления","example":"2021-10-23"},"zipCode":{"maxLength":100,"type":"string","description":"Индекс","example":"111116"}},"additionalProperties":false,"description":"Информация об адресе"},"ContactFullModel2":{"title":"ContactFullModel","type":"object","properties":{"CRSCountry":{"type":"array","description":"Блок \"Адреса в стране налогового резидентства\"","items":{"$ref":"#/components/schemas/CRSCountry"}},"OMS":{"maxLength":100,"type":"string","description":"Номер полиса","example":"12345"},"birthDate":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата рождения","example":"2001-05-26"},"birthPlace":{"maxLength":100,"type":"string","description":"Место рождения","example":"г.Самара"},"blackList":{"type":"array","description":"Черный список","items":{"$ref":"#/components/schemas/ContactSegmentBlackListModel1"}},"changeDateFullName":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата изменения ФИО","example":"2002-05-26"},"citizenship":{"maxLength":100,"type":"string","description":"Гражданство","example":"643"},"deathDate":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата смерти","example":"2002-05-26"},"emailCommunication":{"type":"array","description":"Информация об почте","items":{"$ref":"#/components/schemas/ContactCommunicationAddressModel0"}},"employerFlag":{"maxLength":100,"type":"string","description":"Код типа сотрудника","example":"3"},"firstName":{"maxLength":100,"type":"string","description":"Имя","example":"Иван"},"jobHistory":{"type":"array","description":"Информация о работе","items":{"$ref":"#/components/schemas/JobHistoryModel2"}},"lfmAblative":{"maxLength":100,"type":"string","description":"ФИО в творительном падеже","example":"Иваном Ивановичем Ивановым"},"lfmDative":{"maxLength":100,"type":"string","description":"ФИО в дательном падеже","example":"Иванову Ивану Ивановичу"},"lfmGenitive":{"maxLength":100,"type":"string","description":"ФИО в родительном падеже","example":"Иванова Ивана Ивановича"},"loginExternalSystem":{"maxLength":100,"type":"string","description":"Наименование системы источника","example":"SBL_FR"},"maritalStatusCode":{"maximum":10000,"minimum":0,"type":"integer","description":"Семейное положение","example":1},"mf":{"maxLength":30,"type":"string","description":"Код пола","example":"1"},"middleName":{"maxLength":100,"type":"string","description":"Отчество","example":"Иванович"},"nameExternalSystem":{"maxLength":100,"type":"string","description":"Наименование учетной записи","example":"EFR"},"partyUId":{"maxLength":100,"type":"string","description":"УИК","example":"13463463"},"personRelationship":{"type":"array","description":"Информация о связях","items":{"$ref":"#/components/schemas/ContactRelationshipModel"}},"personalAddress":{"type":"array","description":"Адрес","items":{"$ref":"#/components/schemas/ContactInsPersonalAddressModel0"}},"phoneCommunication":{"type":"array","description":"Информация о телефонах","items":{"$ref":"#/components/schemas/ContactAlternatePhoneModel0"}},"plannedUpdateDate":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата обновления","example":"2021-11-17"},"previousFirstName":{"maxLength":100,"type":"string","description":"предыдущее имя","example":"Андрей"},"previousLastName":{"maxLength":100,"type":"string","description":"предыдущая фамилия","example":"Андреев"},"previousMiddleName":{"maxLength":100,"type":"string","description":"предыдущее отчество","example":"Андреевич"},"pubContactIdentity":{"type":"array","description":"информация о паспорте","items":{"$ref":"#/components/schemas/ContactPubContactIdentityModel1"}},"relatives":{"type":"array","description":"информаиця о семье","items":{"$ref":"#/components/schemas/ContactRelativesModel1"}},"riskLevel":{"maxLength":100,"type":"string","description":"уровень риска","example":"1"},"rezidentFlag":{"type":"boolean","description":"резидент","example":true},"riskLevelJustification":{"type":"array","description":"уровень риска","items":{"$ref":"#/components/schemas/JustificationRiskModel"}},"segment":{"type":"array","description":"Сегменты","items":{"$ref":"#/components/schemas/ContactSegmentModel1"}},"stPubOfficial":{"maxLength":100,"type":"string","description":"Официальный статус","example":"1"},"status":{"maxLength":100,"type":"string","description":"Статус","example":"1"},"surName":{"maxLength":100,"type":"string","description":"Фамилия","example":"Иванов"},"taxRezident":{"type":"boolean","description":"Резидент налоговый","example":true},"tin":{"maxLength":100,"type":"string","description":"ИНН","example":"123456789123"},"type":{"maxLength":100,"type":"string","description":"Тип","example":"1"},"updateDate":{"maxLength":100,"type":"string","description":"Дата обновления","format":"date-time"}},"additionalProperties":false,"description":"Карточка ФЛ"},"ContactIdentity":{"title":"ContactIdentity","type":"object","properties":{"comment":{"maxLength":100,"type":"string","description":"Комментарий","example":"Комментарий"},"countryIssue":{"maxLength":100,"type":"string","description":"Страна выдачи","example":"643"},"divisionCode":{"maxLength":100,"type":"string","description":"Код подразделения","example":"152-001"},"endDate":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата окончания","example":"2021-11-17"},"expirationDate":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата кончания","example":"2021-11-17"},"issueDate":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата создания","example":"2021-11-17"},"issued":{"maxLength":500,"type":"string","description":"Кто выдал","example":"Отделом УФМС России по Челябинской области"},"loginExternalSystem":{"maxLength":100,"type":"string","description":"Наименование учетной записи","example":"1-5IUY"},"nameExternalSystem":{"maxLength":100,"type":"string","description":"Наименование системы источника","example":"SBL_FR"},"number":{"maxLength":100,"type":"string","description":"Номер","example":"1234"},"series":{"maxLength":100,"type":"string","description":"Серия","example":"0101"},"startDate":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата создания","example":"2021-11-17"},"trustFlag":{"type":"boolean","description":"Флаг доверительной системы","example":true},"type":{"maxLength":100,"type":"string","description":"Тип","example":"22"},"typeValue":{"maxLength":100,"type":"string","description":"Значение типа","example":"22"},"updateDate":{"maxLength":100,"type":"string","description":"Дата обновления","format":"date-time"}},"additionalProperties":false,"description":"Информация о документах"},"ContactPubContactIdentityModel":{"title":"ContactPubContactIdentityModel","required":["loginExternalSystem","nameExternalSystem","number","trustFlag","typeCode","updateDate"],"type":"object","properties":{"endDate":{"maxLength":30,"type":"string","description":"Дата окончания","format":"date-time"},"endOfRightToStay":{"maxLength":30,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата окончания срока пребывания"},"expirationDate":{"maxLength":30,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата окончания"},"issueCode":{"maxLength":30,"type":"string","description":"Код подразделения"},"issueCountryCode":{"maxLength":30,"type":"string","description":"Страна выдачи"},"issueDate":{"maxLength":30,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата создания"},"issueName":{"maxLength":500,"type":"string","description":"Наименование подразеления"},"loginExternalSystem":{"maxLength":100,"type":"string","description":"Наименнование учетной записи"},"nameExternalSystem":{"maxLength":100,"type":"string","description":"Наименование системы источника"},"number":{"maxLength":30,"type":"string","description":"Номер"},"series":{"maxLength":10,"type":"string","description":"Серия"},"startDate":{"maxLength":30,"type":"string","description":"Дата создания","format":"date-time"},"startOfRightToStay":{"maxLength":30,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Начало пребывания"},"trustFlag":{"type":"boolean","description":"Флаг доверительной системы"},"typeCode":{"maxLength":30,"type":"string","description":"Тип кода"},"updateDate":{"maxLength":30,"type":"string","description":"Дата обновления","format":"date-time"}},"additionalProperties":false,"description":"Информация о документах"},"ContactPubContactIdentityModel0":{"title":"ContactPubContactIdentityModel","type":"object","properties":{"endDate":{"maxLength":100,"type":"string","description":"Дата окончания","format":"date-time"},"endOfRightToStay":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата окончания срока пребывания","example":"2021-11-16"},"expirationDate":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата окончания","example":"2021-11-16"},"issueCode":{"maxLength":100,"type":"string","description":"Код подразделения","example":"765-538"},"issueCountryCode":{"maxLength":100,"type":"string","description":"Страна выдачи","example":"643"},"issueDate":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата создания","example":"2021-11-16"},"issueName":{"maxLength":500,"type":"string","description":"Наименование подразеления","example":"Отделом УФМС России по Челябинской области"},"loginExternalSystem":{"maxLength":100,"type":"string","description":"Наименнование учетной записи","example":"1-5IUY"},"nameExternalSystem":{"maxLength":100,"type":"string","description":"Наименование системы источника","example":"SBL_FR"},"number":{"maxLength":100,"type":"string","description":"Номер","example":"123456"},"series":{"maxLength":100,"type":"string","description":"Серия","example":"2021"},"startDate":{"maxLength":100,"type":"string","description":"Дата создания","format":"date-time"},"startOfRightToStay":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Начало пребывания","example":"2021-11-16"},"trustFlag":{"type":"boolean","description":"Флаг доверительной системы","example":true},"typeCode":{"maxLength":100,"type":"string","description":"Тип кода","example":"22"},"updateDate":{"maxLength":100,"type":"string","description":"Дата обновления","format":"date-time"}},"additionalProperties":false,"description":"Информация о документах"},"ContactPubContactIdentityModel1":{"title":"ContactPubContactIdentityModel","type":"object","properties":{"endDate":{"maxLength":100,"type":"string","description":"Дата окончания","format":"date-time"},"edDtStayRF":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата окончания срока пребывания","example":"2041-11-17"},"expirationDate":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата окончания","example":"2041-11-17"},"divisionCode":{"maxLength":100,"type":"string","description":"Код подразделения","example":"765-538"},"countryIssue":{"maxLength":100,"type":"string","description":"Страна выдачи","example":"643"},"issueDate":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата создания","example":"2021-11-16"},"issued":{"maxLength":500,"type":"string","description":"Наименование подразеления","example":"Отделом УФМС России по Челябинской области"},"loginExternalSystem":{"maxLength":100,"type":"string","description":"Наименнование учетной записи","example":"SADMIN"},"nameExternalSystem":{"maxLength":100,"type":"string","description":"Наименование системы источника","example":"SBL_FR"},"number":{"maxLength":100,"type":"string","description":"Номер","example":"123456"},"series":{"maxLength":100,"type":"string","description":"Серия","example":"2021"},"startDate":{"maxLength":100,"type":"string","description":"Дата создания","format":"date-time"},"stDtStayRF":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Начало пребывания","example":"2021-11-16"},"trustFlag":{"type":"boolean","description":"Флаг доверительной системы","example":true},"type":{"maxLength":100,"type":"string","description":"Тип кода","example":"22"},"updateDate":{"maxLength":100,"type":"string","description":"Дата обновления","format":"date-time"}},"additionalProperties":false,"description":"Информация о документах"},"ContactRelativesModel2":{"title":"ContactRelativesModel0","type":"object","properties":{"birthDateTime":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата рождения","example":"2000-11-16"},"dependentFlag":{"type":"boolean","description":"Флаг зависимости","example":true},"fIO":{"maxLength":100,"type":"string","description":"Фио","example":"Иванов Иван Иванович"},"relationDegree":{"maxLength":100,"type":"string","description":"тип связи","example":"1"}},"additionalProperties":false,"description":"Информация о родственных связях"},"ContactRelativesModel0":{"title":"ContactRelativesModel0","type":"object","properties":{"birthDateTime":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата рождения","example":"2000-11-16"},"dependentFlag":{"type":"boolean","description":"Флаг зависимости","example":true},"fio":{"maxLength":100,"type":"string","description":"Фио","example":"Иванов Иван Иванович"},"relationDegree":{"maxLength":100,"type":"string","description":"тип связи","example":"1"}},"additionalProperties":false,"description":"Информация о родственных связях"},"ContactRelativesModel1":{"title":"ContactRelativesModel1","type":"object","properties":{"birthDate":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата Рождения","example":"2020-11-16"},"dependent":{"type":"boolean","description":"Флаг зависимости","example":true},"lFM":{"maxLength":100,"type":"string","description":"ФИО","example":"Петров Иван Петрович"},"degreeOfRelationship":{"maxLength":100,"type":"string","description":"Тип связи","example":"1"}},"additionalProperties":false,"description":"Информация о родственных связях"},"ContactRelativesModel":{"title":"ContactRelativesModel","required":["fio","loginExternalSystem","nameExternalSystem","updateDate"],"type":"object","properties":{"birthDateTime":{"maxLength":30,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата рождения"},"dependentFlag":{"type":"boolean","description":"Флаг зависимости"},"fio":{"maxLength":150,"type":"string","description":"Фио"},"loginExternalSystem":{"maxLength":100,"type":"string","description":"Наименование учетной записи"},"nameExternalSystem":{"maxLength":100,"type":"string","description":"Наименование системы источника"},"relationDegree":{"maxLength":30,"type":"string","description":"тип связи"},"updateDate":{"maxLength":30,"type":"string","description":"Дата обновления","format":"date-time"}},"additionalProperties":false,"description":"Информация о родственных связях"},"ContactRequestListModel":{"title":"ContactRequestListModel","required":["person"],"type":"object","properties":{"externalSystemId":{"maxLength":100,"type":"string","description":"Идентификатор системы"},"person":{"type":"array","description":"Данные пользователя","items":{"$ref":"#/components/schemas/ContactRequestModel"}}},"additionalProperties":false,"description":"Блок информации"},"ContactRequestModel":{"title":"ContactRequestModel","type":"object","properties":{"id":{"maxLength":100,"type":"string","description":"идентификатор пользователя"},"partyUId":{"maxLength":100,"type":"string","description":"Уик"}},"additionalProperties":false,"description":"Блок пользователя"},"ContactSegmentBlackListModel0":{"title":"ContactSegmentBlackListModel1","type":"object","properties":{"endDate":{"maxLength":100,"type":"string","description":"Дата окончания","format":"date-time"},"loginExternalSystem":{"maxLength":100,"type":"string","description":"Наименование учетного клиента","example":"SADMIN"},"nameExternalSystem":{"maxLength":100,"type":"string","description":"Наименование системы источника","example":"MDM_CH"},"startDate":{"maxLength":100,"type":"string","description":"Дата создания","format":"date-time"},"blackListName":{"maxLength":30,"type":"string","description":"Тип","example":"93"},"updateDate":{"maxLength":100,"type":"string","description":"Дата обновления","format":"date-time"},"blackListValue":{"type":"boolean","description":"Значение","example":false}},"additionalProperties":false,"description":"Черный список карточки ФЛ"},"ContactSegmentBlackListModel1":{"title":"ContactSegmentBlackListModel1","type":"object","properties":{"endDate":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата окончания","example":"2029-11-16"},"loginExternalSystem":{"maxLength":100,"type":"string","description":"Наименование учетного клиента","example":"SADMIN"},"nameExternalSystem":{"maxLength":100,"type":"string","description":"Наименование системы источника","example":"MDM_CH"},"startDate":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата создания","example":"2021-11-16"},"type":{"maxLength":30,"type":"string","description":"Тип","example":"76"},"updateDate":{"maxLength":100,"type":"string","description":"Дата обновления","format":"date-time"},"value":{"type":"boolean","description":"Значение","example":false}},"additionalProperties":false,"description":"Черный список карточки ФЛ"},"ContactSegmentBlackListModel2":{"title":"ContactSegmentBlackListModel2","type":"object","properties":{"endDate":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата окончания","example":"2021-11-16"},"loginExternalSystem":{"maxLength":100,"type":"string","description":"Наименование учетного клиента","example":"SADMIN"},"nameExternalSystem":{"maxLength":100,"type":"string","description":"Наименование системы источника","example":"MDM_CH"},"startDate":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата создания","example":"2021-11-16"},"blackListName":{"maxLength":30,"type":"string","description":"Тип","example":"93"},"updateDate":{"maxLength":100,"type":"string","description":"Дата обновления","format":"date-time"},"blackListValue":{"type":"boolean","description":"Значение","example":false}},"additionalProperties":false,"description":"Черный список карточки ФЛ"},"ContactSegmentBlackListModel":{"title":"ContactSegmentBlackListModel","required":["blackListName","loginExternalSystem","updateDate"],"type":"object","properties":{"blackListName":{"maxLength":30,"type":"string","description":"Наименование"},"endDate":{"maxLength":30,"type":"string","description":"Дата окончания","format":"date-time"},"loginExternalSystem":{"maxLength":100,"type":"string","description":"Наименование системы источника"},"startDate":{"maxLength":30,"type":"string","description":"Дата создания","format":"date-time"},"updateDate":{"maxLength":30,"type":"string","description":"Дата обновления","format":"date-time"}},"additionalProperties":false,"description":"Черный список"},"ContactSegmentModel0":{"title":"ContactSegmentModel","type":"object","properties":{"criterion":{"maxLength":100,"type":"string","description":"Критерий","example":"12345"},"endDate":{"maxLength":100,"type":"string","description":"Дата окончания","format":"date-time"},"loginExternalSystem":{"maxLength":100,"type":"string","description":"Наименование учетной записи","example":"SBL_FR"},"nameExternalSystem":{"maxLength":100,"type":"string","description":"Наименование системы источника","example":"0-1"},"startDate":{"maxLength":100,"type":"string","description":"Дата создания","format":"date-time"},"status":{"maximum":10,"minimum":0,"type":"integer","description":"Статус","example":0},"type":{"maxLength":100,"type":"string","description":"Тип","example":"11"},"updateDate":{"maxLength":100,"type":"string","description":"Дата обновления","format":"date-time"},"value":{"maxLength":100,"type":"string","description":"Значение","example":"N"}},"additionalProperties":false,"description":"Блок сегментов"},"ContactSegmentModel":{"title":"ContactSegmentModel","required":["loginExternalSystem","nameExternalSystem","type","updateDate","value"],"type":"object","properties":{"criterion":{"maxLength":30,"type":"string","description":"критерии"},"endDate":{"maxLength":30,"type":"string","description":"Дата окончания","format":"date-time"},"loginExternalSystem":{"maxLength":100,"type":"string","description":"Наименование учетной записи"},"nameExternalSystem":{"maxLength":100,"type":"string","description":"Наименование системы источника"},"startDate":{"maxLength":30,"type":"string","description":"Дата создания","format":"date-time"},"status":{"maximum":10,"minimum":0,"type":"integer","description":"Статус"},"type":{"maxLength":30,"type":"string","description":"Тип"},"updateDate":{"maxLength":30,"type":"string","description":"Дата обновления","format":"date-time"},"value":{"maxLength":30,"type":"string","description":"Значение"}},"additionalProperties":false,"description":"Блок сегментов"},"ContactSegmentModel2":{"title":"ContactSegmentModel","type":"object","properties":{"criterion":{"maxLength":100,"type":"string","description":"Критерий","example":"12345"},"endDate":{"maxLength":100,"type":"string","description":"Дата окончания","format":"date-time"},"loginExternalSystem":{"maxLength":100,"type":"string","description":"Наименование учетной записи","example":"SBL_FR"},"nameExternalSystem":{"maxLength":100,"type":"string","description":"Наименование системы источника","example":"0-1"},"startDate":{"maxLength":100,"type":"string","description":"Дата создания","format":"date-time"},"status":{"maximum":10,"minimum":0,"type":"integer","description":"Статус","example":0},"type":{"maxLength":100,"type":"string","description":"Тип","example":"11"},"updateDate":{"maxLength":100,"type":"string","description":"Дата обновления","format":"date-time"},"value":{"maxLength":100,"type":"string","description":"Значение","example":"N"}},"additionalProperties":false,"description":"Блок сегментов"},"ContactSegmentModel1":{"title":"ContactSegmentModel","type":"object","properties":{"criterion":{"maxLength":100,"type":"string","description":"критерий","example":"12345"},"endDate":{"maxLength":100,"type":"string","description":"Дата окончания","format":"date-time"},"loginExternalSystem":{"maxLength":100,"type":"string","description":"Наименование учетной записи","example":"SBL_FR"},"nameExternalSystem":{"maxLength":100,"type":"string","description":"Наименование системы источника","example":"EFR"},"startDate":{"maxLength":100,"type":"string","description":"Дата создания","format":"date-time"},"status":{"maximum":10,"minimum":0,"type":"integer","description":"Статус","example":0},"type":{"maxLength":100,"type":"string","description":"Тип","example":"11"},"updateDate":{"maxLength":100,"type":"string","description":"Дата обновления","format":"date-time"},"value":{"maxLength":100,"type":"string","description":"Значение","example":"N"}},"additionalProperties":false,"description":"Блок сегментов"},"CreatePersonInputModel":{"title":"CreatePersonInputModel","required":["headerRequest","messageRequest"],"type":"object","properties":{"headerRequest":{"$ref":"#/components/schemas/HeaderRequest"},"messageRequest":{"$ref":"#/components/schemas/SwiPersonListModel"}},"additionalProperties":false,"description":"Запрос на создание карточки ФЛ"},"GetPersonInputModel":{"title":"GetPersonInputModel","required":["headerRequest","messageRequest"],"type":"object","properties":{"headerRequest":{"$ref":"#/components/schemas/HeaderRequest"},"messageRequest":{"$ref":"#/components/schemas/ContactRequestListModel"}},"additionalProperties":false,"description":"Запрос на получение карточки ФЛ"},"GetContactFullModel":{"title":"GetContactFullModel","type":"object","properties":{"CRSCountry":{"type":"array","description":"Блок \"Адреса в стране налогового резидентства\"","items":{"$ref":"#/components/schemas/CRSCountry"}},"deduplicated":{"type":"array","description":"Массив дедублицированных id в системе МДМ","items":{"maxLength":1000,"type":"string"}},"fatcaNextUpdate":{"maxLength":100,"type":"string","description":"Дата следующего обновления анкеты FATCA","format":"date-time"},"CRSDateFilled":{"maxLength":100,"type":"string","description":"Дата следующего обновления анкеты CRS","format":"date-time"},"PODFTDateSign":{"maxLength":100,"type":"string","description":"Дата следующего обновления анкеты ПОД/ФТ","format":"date-time"},"OMS":{"maxLength":100,"type":"string","description":"Номер полиса","example":"12345"},"address":{"type":"array","description":"Адрес","items":{"$ref":"#/components/schemas/ContactInsPersonalAddressModel2"}},"bankEmployee":{"maxLength":100,"type":"string","description":"Код типа сотрудника","example":"4"},"birthDateTime":{"maxLength":100,"type":"string","description":"Дата рождения","format":"date-time"},"birthPlace":{"maxLength":100,"type":"string","description":"Место рождения","example":"г.Самара"},"blackList":{"type":"array","description":"Черный список","items":{"$ref":"#/components/schemas/ContactSegmentBlackListModel0"}},"changeDateFullName":{"maxLength":100,"type":"string","description":"Дата изменения ФИО","format":"date-time"},"childrenNumber":{"maxLength":100,"type":"string","description":"Число детей","example":"1"},"consentCreditBureauUpload":{"type":"boolean","description":"Согласие на предоставлеие данных в БКИ","example":true},"consentCreditBureauVerification":{"type":"boolean","description":"Согласие на предоставлеие данных в БКИ кредитной организации - кредитору","example":true},"contactPhoneCommunication":{"type":"array","description":"Информация о телефонах","items":{"$ref":"#/components/schemas/ContactAlternatePhoneModel3"}},"contactRelationship":{"type":"array","description":"Информация о связях","items":{"$ref":"#/components/schemas/ContactRelationshipModel0"}},"deathDateTime":{"maxLength":100,"type":"string","description":"Дата смерти","format":"date-time"},"dependentNumber":{"maxLength":100,"type":"string","description":"Число иждивенцев","example":"1"},"education":{"type":"array","description":"Информация об обучении","items":{"$ref":"#/components/schemas/ContactEducationModel0"}},"emailCommunication":{"type":"array","description":"Информация об почте","items":{"$ref":"#/components/schemas/ContactCommunicationAddressModel1"}},"employment":{"type":"array","description":"Информация о работе","items":{"$ref":"#/components/schemas/JobHistoryModel0"}},"employerCode":{"maxLength":100,"type":"string","description":"Табельный номер сотрудника","example":"123"},"firstName":{"maxLength":100,"type":"string","description":"Имя","example":"Иван"},"firstNameLat":{"maxLength":100,"type":"string","description":"Имя на латинском","example":"Ivan"},"fullNameAblative":{"maxLength":100,"type":"string","description":"Имя в творительном падеже","example":"Иваном Васильевичем Жучковым"},"fullNameDative":{"maxLength":100,"type":"string","description":"Имя в дательном падеже","example":"Ивану Васильчевичу Жучкову"},"fullNameGenitive":{"maxLength":100,"type":"string","description":"Имя в родительном падеже","example":"Ивана Васильчевича Жучкова"},"genderCode":{"maxLength":100,"type":"string","description":"пол","example":"1"},"householderNumber":{"maxLength":100,"type":"string","description":"Общее число членов домохозяйства","example":"1"},"lastName":{"maxLength":100,"type":"string","description":"Фамилия","example":"Жучков"},"lastNameLat":{"maxLength":100,"type":"string","description":"Фамилия на латинском","example":"Zhuchkov"},"loginExternalSystem":{"maxLength":100,"type":"string","description":"Наименование системы источника","example":"SADMIN"},"maritalStatusCode":{"maximum":10000,"minimum":0,"type":"integer","description":"Семейное положение","example":1},"middleName":{"maxLength":100,"type":"string","description":"Отчество","example":"Васильевич"},"nameExternalSystem":{"maxLength":100,"type":"string","description":"Наименование учетной записи","example":"SBL_FR"},"nationalityCountryCode":{"maxLength":100,"type":"string","description":"национальность","example":"430"},"numTaxInspection":{"maxLength":100,"type":"string","description":"Номер налоговой инспекции","example":"97.0"},"partyUId":{"maxLength":100,"type":"string","description":"УИК","example":"123456789"},"personDocumentIdentity":{"type":"array","description":"информация о паспорте","items":{"$ref":"#/components/schemas/ContactPubContactIdentityModel0"}},"plannedUpdateDate":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата обновления","example":"2021-05-26"},"previousFirstName":{"maxLength":100,"type":"string","description":"предыдущая фамилия","example":"Челюскин"},"previousLastName":{"maxLength":100,"type":"string","description":"предыдущее Имя","example":"Иван"},"previousMiddleName":{"maxLength":100,"type":"string","description":"предыдущее отчество","example":"Петрович"},"pubOfficialStatus":{"maximum":10,"minimum":0,"type":"integer","description":"Официальный статус","example":1},"relatives":{"type":"array","description":"информаиця о семье","items":{"$ref":"#/components/schemas/ContactRelativesModel2"}},"riskLevel":{"maxLength":100,"type":"string","description":"уровень риска","example":"1"},"rezidentFlag":{"type":"boolean","description":"резидент","example":true},"riskLevelJustification":{"type":"array","description":"уровень риска","items":{"$ref":"#/components/schemas/JustificationRiskModel"}},"segment":{"type":"array","description":"сущность сегмент","items":{"$ref":"#/components/schemas/ContactSegmentModel2"}},"startDate":{"maxLength":100,"type":"string","description":"Дата создания","format":"date-time"},"status":{"maxLength":100,"type":"string","description":"Статус","example":"1"},"taxRezident":{"type":"boolean","description":"Резидент налоговый","example":true},"terminated":{"type":"boolean","description":"Заблокированный пользователь","example":false},"tIN":{"maxLength":100,"type":"string","description":"ИНН","example":"123456789123"},"type":{"maxLength":100,"type":"string","description":"Тип","example":"1"},"updateDate":{"maxLength":100,"type":"string","description":"Дата обновления","format":"date-time"}},"additionalProperties":false,"description":"Карточка ФЛ"},"HeaderRequest":{"title":"HeaderRequest","required":["creationDateTime","messageID","systemFrom","systemTo"],"type":"object","properties":{"contactName":{"maxLength":50,"type":"string","description":"Логин пользователя"},"creationDateTime":{"maxLength":30,"type":"string","description":"Дата и время формирование сообщения","format":"date-time"},"messageID":{"maxLength":255,"type":"string","description":"Идентификатор сообщения"},"systemFrom":{"maxLength":30,"type":"string","description":"Система отправителя"},"systemTo":{"maxLength":30,"type":"string","description":"Система получателя"},"timeout":{"maximum":1000000,"minimum":0,"type":"integer","description":"Таймаут","format":"int32"},"noFilterData":{"type":"boolean","description":"Признак - возвращать в ответе все данные без фильтрации"}},"additionalProperties":false,"description":"Заголовок запроса"},"JobHistoryModel1":{"title":"JobHistoryModel1","type":"object","properties":{"employerOrganizationName":{"maxLength":100,"type":"string","description":"Название организации","example":"ООО Ромашка"},"employmentContractType":{"maxLength":100,"type":"string","description":"должность","example":"1"},"employmentType":{"maxLength":100,"type":"string","description":"тип занятости","example":"1"},"endDate":{"maxLength":100,"type":"string","description":"Дата окончания","format":"date-time"},"fullAddress":{"maxLength":1000,"type":"string","description":"Полный адрес","example":"г.Москва, ул.Ленина, д.7"},"jobTitle":{"maxLength":100,"type":"string","description":"Наименование должности","example":"Начальник"},"startDate":{"maxLength":100,"type":"string","description":"Дата создания","format":"date-time"},"taxPayerIdentificationNumber":{"maxLength":100,"type":"string","description":"Номер налогоплательщика","example":"12345678"}},"additionalProperties":false,"description":"Информация о работе"},"JobHistoryModel0":{"title":"JobHistoryModel","type":"object","properties":{"employerOrganizationName":{"maxLength":100,"type":"string","description":"Название организации","example":"ООО Ромашка"},"employmentContractType":{"maxLength":100,"type":"string","description":"должность","example":"1"},"employmentType":{"maxLength":100,"type":"string","description":"тип занятости","example":"1"},"endDate":{"maxLength":100,"type":"string","description":"Дата окончания","format":"date-time"},"fullAddress":{"maxLength":1000,"type":"string","description":"Полный адрес","example":"г.Москва, ул.Ленина, д.7"},"jobTitle":{"maxLength":100,"type":"string","description":"Наименование должности","example":"Начальник"},"startDate":{"maxLength":100,"type":"string","description":"Дата создания","format":"date-time"},"taxPayerIdentificationNumber":{"maxLength":100,"type":"string","description":"Номер налогоплательщика","example":"12345678"}},"additionalProperties":false,"description":"Информация о работе"},"JobHistoryModel":{"title":"JobHistoryModel","required":["employerOrganizationName","employmentType","loginExternalSystem","nameExternalSystem","updateDate"],"type":"object","properties":{"employerOrganizationName":{"maxLength":100,"type":"string","description":"Название организации"},"employmentContractType":{"maxLength":30,"type":"string","description":"должность"},"employmentType":{"maxLength":30,"type":"string","description":"тип занятости"},"endDate":{"maxLength":30,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата окончания"},"fullAddress":{"maxLength":1000,"type":"string","description":"Полный адрес"},"jobTitle":{"maxLength":30,"type":"string","description":"Наименование должности"},"loginExternalSystem":{"maxLength":100,"type":"string","description":"Наименование учетной записи"},"nameExternalSystem":{"maxLength":100,"type":"string","description":"Наименование системы источника"},"startDate":{"maxLength":30,"type":"string","description":"Дата создания","format":"date-time"},"taxPayerIdentificationNumber":{"maxLength":20,"type":"string","description":"Номер налогоплательщика"},"updateDate":{"maxLength":30,"type":"string","description":"Дата обновление","format":"date-time"}},"additionalProperties":false,"description":"Информация о работе"},"JobHistoryModel2":{"title":"JobHistoryModel0","type":"object","properties":{"contractEndDate":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата окончания работы","example":"2021-11-16"},"contractStartDate":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата начала работы","example":"2021-11-16"},"contractType":{"maxLength":100,"type":"string","description":"Тип занятости","example":"1"},"employmentType":{"maxLength":100,"type":"string","description":"Тип работы","example":"1"},"innkio":{"maxLength":100,"type":"string","description":"ИНН/КИО работодателя","example":"1234567890"},"organization":{"maxLength":100,"type":"string","description":"Организация","example":"ООО Ромашка"},"organizationLocation":{"maxLength":100,"type":"string","description":"Местоположение","example":"г.Москва, ул.Ленина, д.7"},"position":{"maxLength":100,"type":"string","description":"Должность","example":"Директор"}},"additionalProperties":false,"description":"Информация о работе"},"JustificationRiskModel":{"title":"JustificationRiskModel","type":"object","properties":{"code":{"maxLength":100,"type":"string","description":"Код","example":"1"},"loginExternalSystem":{"maxLength":100,"type":"string","description":"Наименование учетной записи","example":"SBL_FR"},"updateDate":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата обновления","example":"2021-11-16"}},"additionalProperties":false,"description":"Информация о рисках"},"LinkPartyJsonInput":{"title":"LinkPartyJsonInput","required":["partyLink"],"type":"object","properties":{"partyLink":{"type":"array","description":"Блок на создание связей","items":{"$ref":"#/components/schemas/PartyLink"}}},"additionalProperties":false,"description":"Запрос на создание связей"},"LinkPartyRequest":{"title":"LinkPartyRequest","required":["headerRequest","messageRequest"],"type":"object","properties":{"headerRequest":{"$ref":"#/components/schemas/HeaderRequest"},"messageRequest":{"$ref":"#/components/schemas/LinkPartyJsonInput"}},"additionalProperties":false,"description":"Запрос на создание связей"},"LinkPartyResponse":{"title":"LinkPartyResponse","type":"object","properties":{"messageResponse":{"$ref":"#/components/schemas/PartyLinkMessageResponse"}},"additionalProperties":false,"description":"Ответ на создание связей"},"MergePersonInputModel":{"title":"MergePersonInputModel","required":["headerRequest","messageRequest"],"type":"object","properties":{"headerRequest":{"$ref":"#/components/schemas/HeaderRequest"},"messageRequest":{"$ref":"#/components/schemas/MergePersonRequestModel"}},"additionalProperties":false,"description":"Запрос на слияние карточек ФЛ"},"MergePersonRequestModel":{"title":"MergePersonRequestModel","required":["survivorUid","victimUid"],"type":"object","properties":{"survivorUid":{"maxLength":100,"type":"string","description":"УИК выживающей карточки ФЛ"},"victimUid":{"maxLength":100,"type":"string","description":"УИК склеиваемой карточки ФЛ"}},"additionalProperties":false,"description":"Запрос на слияние карточек ФЛ"},"MessageRequest":{"title":"MessageRequest","required":["person"],"type":"object","properties":{"person":{"$ref":"#/components/schemas/PersonInput"},"searchType":{"maxLength":100,"type":"string","description":"Тип поиска"}},"additionalProperties":false,"description":"Информация о пользователе"},"MatchMessageResponse":{"title":"MessageResponse","type":"object","properties":{"messageResponse":{"$ref":"#/components/schemas/PersonMatchOutputJson"}},"additionalProperties":false,"description":"Ответ по поиску карточки ФЛ"},"Error":{"title":"Error","type":"object","properties":{"description":{"maxLength":100,"type":"string","description":"описание"},"partyUId":{"maxLength":100,"type":"string","description":"УИК"},"relatedPartyUId":{"maxLength":100,"type":"string","description":"связываемый УИК"},"status":{"maxLength":100,"type":"string","description":"Код ошибки"},"text":{"maxLength":1000,"type":"string","description":"текст"}},"additionalProperties":false,"description":"Ответ по поиску карточки ФЛ"},"PartyLinkMessageResponse":{"title":"MessageResponse","type":"object","properties":{"faultMessage":{"type":"array","description":"Блок с информации об ошибки","items":{"$ref":"#/components/schemas/Error"}},"partyLink":{"type":"array","description":"Блок на создание связей","items":{"$ref":"#/components/schemas/PartyLinkResponse"}}},"additionalProperties":false,"description":"Ответ по созданию связей"},"PartyLink":{"title":"PartyLink","required":["loginExternalSystem","nameExternalSystem","partyType","partyUId","relatedPartyType","relatedPartyUId","role","updateDate"],"type":"object","properties":{"attrib":{"maxLength":100,"type":"string","description":"Аттрибут"},"endDate":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата окончания"},"loginExternalSystem":{"maxLength":100,"type":"string","description":"Наименование учетной записи"},"nameExternalSystem":{"maxLength":100,"type":"string","description":"Наименование системы источника"},"partyType":{"maxLength":100,"type":"string","description":"Тип связи"},"partyUId":{"maxLength":100,"type":"string","description":"Уик"},"portion":{"maxLength":100,"type":"string","description":"порци"},"relatedAttrb2":{"maxLength":100,"type":"string","description":"тип связи"},"relatedPartyType":{"maxLength":100,"type":"string","description":"тип взаимоотношений"},"relatedPartyUId":{"maxLength":100,"type":"string","description":"УИК связываемой карточки ФЛ"},"role":{"maxLength":100,"type":"string","description":"роль"},"startDate":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата создания"},"updateDate":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата обновления"}},"additionalProperties":false,"description":"Блок по созданию связей"},"PartyLinkResponse":{"title":"PartyLinkResponse","type":"object","properties":{"partyUId":{"maxLength":100,"type":"string","description":"Уик"},"relatedPartyUId":{"maxLength":100,"type":"string","description":"Уик связываемой карточки ФЛ"}},"additionalProperties":false,"description":"Ответ по созданию связи"},"PersonDocumentIdentity":{"title":"PersonDocumentIdentity","type":"object","properties":{"issueDate":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата окончания"},"number":{"maxLength":100,"type":"string","description":"Номер"},"series":{"maxLength":100,"type":"string","description":"Серия"},"typeCode":{"maxLength":100,"type":"string","description":"Код подразделения"},"hashPassport":{"maxLength":300,"type":"string","description":"Хэш паспорта"},"hashSNILS":{"maxLength":300,"type":"string","description":"Хэш СНИЛС"}},"additionalProperties":false,"description":"Информация о документах"},"PersonInput":{"title":"PersonInput","type":"object","properties":{"addressRegistration":{"$ref":"#/components/schemas/AddressRegistration"},"birthDateTime":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата рождения"},"email":{"maxLength":100,"type":"string","description":"почта"},"firstName":{"maxLength":100,"type":"string","description":"Имя"},"middleName":{"maxLength":100,"type":"string","description":"Отчество"},"personDocumentIdentity":{"$ref":"#/components/schemas/PersonDocumentIdentity"},"phoneNumber":{"maxLength":100,"type":"string","description":"номер телефона"},"surName":{"maxLength":100,"type":"string","description":"Фамилия"},"tin":{"maxLength":100,"type":"string","description":"Инн"}},"additionalProperties":false,"description":"Запрос на создание карточки"},"PersonMatchInputJson":{"title":"PersonMatchInputJson","required":["headerRequest","messageRequest"],"type":"object","properties":{"headerRequest":{"$ref":"#/components/schemas/HeaderRequest"},"messageRequest":{"$ref":"#/components/schemas/MessageRequest"}},"additionalProperties":false,"description":"Запрос на поиск карточки ФЛ"},"PersonMatchOutputJson":{"title":"PersonMatchOutputJson","type":"object","properties":{"faultMessage":{"$ref":"#/components/schemas/FaultText"},"person":{"type":"array","description":"Блок информации о клиенте","items":{"$ref":"#/components/schemas/PersonOutput"}}},"additionalProperties":false,"description":"Ответ на поиск карточки ФЛ"},"PersonOutput":{"title":"PersonOutput","type":"object","properties":{"OMS":{"maxLength":100,"type":"string","description":"ОМС","example":"12345"},"birthDate":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата рождения","example":"2000-11-17"},"birthPlace":{"maxLength":100,"type":"string","description":"Место рождения","example":"г.Самара"},"blackList":{"type":"array","description":"черный список","items":{"$ref":"#/components/schemas/BlackList"}},"citizenship":{"maxLength":100,"type":"string","description":"гражданство","example":"643"},"contactIdentity":{"type":"array","description":"информация о документах","items":{"$ref":"#/components/schemas/ContactIdentity"}},"contactRelationship":{"type":"array","description":"Информация о связях","items":{"$ref":"#/components/schemas/ContactRelationshipModel0"}},"createdExternalSystem":{"maxLength":100,"type":"string","description":"Дата создания записи","format":"date-time"},"firstName":{"maxLength":100,"type":"string","description":"Имя","example":"Иван"},"lfmAblative":{"maxLength":100,"type":"string","description":"Фио в творительном падеже","example":"Ивановым Иваном Ивановичем"},"lfmDative":{"maxLength":100,"type":"string","description":"Фио в дательном падеже","example":"Иванову Ивану Ивановичу"},"lfmGenitive":{"maxLength":100,"type":"string","description":"Фио в родительском падеже","example":"Иванова Ивана Ивановича"},"maritalStatus":{"maximum":10,"minimum":0,"type":"integer","description":"Семейное положение","example":1},"matchScore":{"maxLength":100,"type":"string","description":"числовая степень похожести оценки кандидата","example":"92"},"mf":{"maxLength":100,"type":"string","description":"пол","example":"1"},"middleName":{"maxLength":100,"type":"string","description":"Отчество","example":"Иванович"},"partyUId":{"maxLength":100,"type":"string","description":"Уик","example":"1233"},"personalAddress":{"type":"array","description":"Информация о адресе","items":{"$ref":"#/components/schemas/PersonalAddress"}},"phoneCommunication":{"type":"array","description":"Информация о телефонах","items":{"$ref":"#/components/schemas/PhoneCommunication"}},"plannedUpdateDate":{"maxLength":100,"type":"string","description":"Дата обновление","format":"date-time"},"riskLevel":{"maxLength":100,"type":"string","description":"уровень риска","example":"1"},"riskLevelJustification":{"type":"array","description":"уровень риска","items":{"$ref":"#/components/schemas/JustificationRiskModel"}},"segment":{"type":"array","description":"Сегменты","items":{"$ref":"#/components/schemas/Segment"}},"surName":{"maxLength":100,"type":"string","description":"Фамилия","example":"Иванов"},"tin":{"maxLength":100,"type":"string","description":"Инн","example":"123456789123"},"typePerson":{"maxLength":100,"type":"string","description":"Тип персоны","example":"1"},"updateDate":{"maxLength":100,"type":"string","description":"Дата обновления","format":"date-time"}},"additionalProperties":false,"description":"Информация о клиенте"},"PersonalAddress":{"title":"PersonalAddress","type":"object","properties":{"addressName":{"maxLength":100,"type":"string","description":"Наименование адреса","example":"г.Москва, ул. Энергетическая, д.7. кв.1"},"apartamentNumber":{"maxLength":100,"type":"string","description":"Номер квартиры","example":"1"},"building":{"maxLength":100,"type":"string","description":"Строение","example":"7"},"cityType":{"maxLength":100,"type":"string","description":"Тип населенного пункта","example":"г"},"country":{"maxLength":100,"type":"string","description":"Страна","example":"10"},"districtType":{"maxLength":100,"type":"string","description":"Тип района","example":"Р-Н"},"endDate":{"maxLength":100,"pattern":"^[0-9]{4}-[0-9]{2}-[0-9]{2}$","type":"string","description":"Дата окончания","example":"2021-11-17"},"house":{"maxLength":100,"type":"string","description":"дом","example":"7"},"housing":{"maxLength":100,"type":"string","description":"корпус","example":"1"},"kladrCode"
[...]
